*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #121213;
}
.loader{
    position: relative;
    width: 200px;
    height: 200px;
    background:#1a1a1f;
    transition: 0.5s;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    -webkit-box-reflect: below 1px linear-gradient(transparent,#000);
}
.loader:hover{
    background:#03e9f4;
    color: #111;
    box-shadow: 0 0 6px #03e9f4,
    0 0 25px #03e9f4,
    0 0 50px #03e9f4,
    0 0 200px #03e9f4;
}
.loader span{
    position: absolute;
    display: block;
}
.loader span:nth-child(1){
    top: 0;
    left: -100%;
    width: 100%;
    height: 5px;
    animation: animate1 2s linear infinite;
    animation-delay: 0s;
    background: linear-gradient(90deg,transparent,#03e9f4);
}
@keyframes animate1 {
    0%{
        left: -100%;
    }
    50%,100%{
        left: 100%;
    }
}
.loader span:nth-child(3){
    bottom: 0;
    right: -100%;
    width: 100%;
    height: 5px;
    animation: animate3 2s linear infinite;
    animation-delay: 1s;
    background: linear-gradient(270deg,transparent,#03e9f4);
}
@keyframes animate3{
    0%{
        right: -100%;
    }
    50%,100%{
        right: 100%;
    }
}
.loader span:nth-child(2){
    top: -100%;
    right: 0;
    width: 5px;
    height: 100%;
    animation: animate2 2s linear infinite;
    animation-delay: 0.5s;
    background: linear-gradient(180deg,transparent,#03e9f4);
}
@keyframes animate2 {
    0%{
        top: -100%;
    }
    50%,100%{
        top: 100%;
    }
}
.loader span:nth-child(4){
    bottom: -100%;
    left: 0;
    width: 5px;
    height: 100%;
    animation: animate4 2s linear infinite;
    animation-delay: 1.5s;
    background: linear-gradient(360deg,transparent,#03e9f4);
}
@keyframes animate4 {
    0%{
        bottom: -100%;
    }
    50%,100%{
        bottom: 100%;
    }
}
.loader h2{
    font-family: Arial, Helvetica, sans-serif;
    letter-spacing: 0.05cm;
    border-right: 1px solid #03e9f4;
    color: #03e9f4;
    animation: texttype 6s steps(10) infinite;
    overflow: hidden;
}
@keyframes texttype{
    0%,100%{
        width: 0;
    }
    50%{
        width: 125.23px;
    }
}
/* count all letters in the this =10 */